Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2931

Summary: tcsh & /etc/profile.d scripts
Product: [Retired] Red Hat Linux Reporter: Milan Kerslager <milan.kerslager>
Component: setupAssignee: Bill Nottingham <notting>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: milan.kerslager, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-09-02 17:46:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Milan Kerslager 1999-05-20 01:00:04 UTC
If we use bash, scripts in /etc/profile.d are interpretted
during login procedure. But for tcsh (or csh) every time
shell is invoked.

Solution:
rename /etc/csh.cshrc to /etc/csh.login

Nothing other is affected by this change. Just both shells
should do job the same way.

Comment 1 Milan Kerslager 1999-05-21 09:25:59 UTC
We have various problems with software that uses this to set-up shell
environment when somebody uses tcsh or csh especially when it need to
something print out during login procedure. This bug cause for
example that users can't use scp. I reported already this bug for
RH5.2 but not via Bugzilla system.

Comment 2 Cristian Gafton 1999-07-28 07:46:59 UTC
assigned to jbj

This could be a hairy one - renaming a config file and making sure we
transport the changes over...

Comment 3 Jeff Johnson 1999-09-02 17:46:59 UTC
Fixed in setup-2.0.5-1. Please note that modified /etc/csh.cshrc
should be saved by rpm as /etc/csh.cshrc.rpmsave and that those
modifications should be put into /etc/csh.login now.